<?php

namespace Litecms\Desa\Http\Controllers;

use App\Http\Controllers\PublicController as CMSPublicController;
use Litecms\Desa\Interfaces\PnddkRepositoryInterface;

class PnddkPublicController extends CMSPublicController
{
    /**
     * Constructor.
     *
     * @param type \Litecms\Pnddk\Interfaces\PnddkRepositoryInterface $pnddk
     *
     * @return type
     */
    public function __construct(PnddkRepositoryInterface $pnddk)
    {
        $this->model = $pnddk;
        parent::__construct();
    }

    /**
     * Show pnddk's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $pnddks = $this->model->all();

        return $this->theme->of('desa::public.pnddk.index', compact('pnddks'))->render();
    }

    /**
     * Show pnddk.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $pnddk = $this->model->findBySlug($slug);

        return $this->theme->of('desa::public.pnddk.show', compact('pnddk'))->render();
    }
}
